explain_mkdtemp_or_die(3)

NAME
explain_mkdtemp_or_die - create a unique temporary directory and report errors

SYNOPSIS
#include <libexplain/mkdtemp.h>

char *explain_mkdtemp_or_die(char *pathname);
char *explain_mkdtemp_on_error(char *pathname);

DESCRIPTION
The explain_mkdtemp_or_die function is used to call the mkdtemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkdtemp(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mkdtemp_on_error function is used to call the mkdtemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mkdtemp(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the mkdtemp(3) system call.

RETURN VALUE
The explain_mkdtemp_or_die function only returns on success, see mkdtemp(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mkdtemp_on_error function always returns the value return by the wrapped mkdtemp(3) system call.

EXAMPLE
The explain_mkdtemp_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_mkdtemp_or_die(pathname);

SEE ALSO

mkdtemp(3)
    create a unique temporary directory

explain_mkdtemp(3)
    explain mkdtemp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller